is-outdated

1.2.2 • Public • Published

is-outdated Build Status

Greenkeeper badge

This is a simple node module that tells you when the installed version of a node package (i.e app) is outdated.

Note: if you need a more complete solution check out update-notifier.

Install

npm install --save is-outdated

Usage

var isOutdated = require('is-outdated');
var pkg = require('./package.json');
 
isOutdated(pkg.name, pkg.version, function (err, res) {
    console.log('The latest version of this app is %s', res.version);
    console.log('Please updated it with: npm update -g mypackage');
});

API

isOutdated(name, version, callback)

  • name (string) the name of the package
  • version (string) a semver compatible string
  • callback (function)
    • err
    • data - false when the package is up to date or an object in the form: { version: 'x.x.x' }

License

MIT

Package Sidebar

Install

npm i is-outdated

Weekly Downloads

2

Version

1.2.2

License

MIT

Unpacked Size

4.71 kB

Total Files

6

Last publish

Collaborators

  • rogeriopvl